Opened 3 years ago

Closed 3 years ago

Last modified 2 years ago

#11678 closed enhancement (fixed)

keybinder-0.3.1

Reported by: Pierre Labastie Owned by: Bruce Dubbs
Priority: normal Milestone: 9.0
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

New point version, now hosted on github: https://github.com/kupferlauncher/keybinder/releases/download/v0.3.1/keybinder-0.3.1.tar.gz

There is also a keybinder-3.0 branch, which does not seem to be suitable for lxpanel.

Note that pygtk is only required for Python bindings, which are not used in the book...

Change History (13)

comment:1 by Pierre Labastie, 3 years ago

Should we move this to 8.4?

comment:2 by Pierre Labastie, 3 years ago

Actually, lxpanel-0.9.3 has an option --enable-gtk3. This would introduce a dependency on keybinder-3.0 instead, which is at version 0.3.2... And remove any dep on pygtk for lxde...

I'd like to do that now (lxpanel and keybinder are not yet tagged), but would like to have advises of others before.

comment:3 by Bruce Dubbs, 3 years ago

I have tagged lxpanel but not committed it yet. I'd like to wait on this unless we can identify something that is actually broken in the version we now have.

comment:4 by Pierre Labastie, 3 years ago

Well, lxpanel with gtk+3 needs also libwnck-3. I think I'll give up for now... lxde works well with what is in the book. I'll make another ticket for 8.5: move lxde to GTK+3. When that new ticket is done, this one will hve to be closed "overcome by events

comment:5 by Pierre Labastie, 3 years ago

Actually, libwnck-3 is in the book...

Bruce, are you tagging LXDE? I'll stop on this then.

comment:6 by Bruce Dubbs, 3 years ago

I am doing lxde. I jsut got too tiered last night doing dependnencies to finish. I probably should be able to commit in a few hours.

comment:7 by Pierre Labastie, 3 years ago

I've done it too. We should have some coordination, otherwise we'll do much useless work...

comment:8 by Bruce Dubbs, 3 years ago

If you want to commit, that's fine. I build everything anyway. I will be starting with all of multimedia today after lxde.

comment:9 by Pierre Labastie, 3 years ago

No please, go ahead: I have trashed what I had done for testing LXDE-GTK+3, then changed my mind. As a result, I do not remember which packages I have built, so that I cannot tag correctly. All I know is that the result was good.

I've open another ticket (for 8.5) related to moving LXDE to GTK+3.

Last edited 3 years ago by Pierre Labastie (previous) (diff)

comment:10 by Bruce Dubbs, 3 years ago

That's a good project for the next cycle.

comment:11 by Bruce Dubbs, 3 years ago

Owner: changed from blfs-book to Bruce Dubbs
Status: newassigned

comment:12 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: assignedclosed

I'm going to go ahead and close this with the 0.3.1 release. There is a release as of about a year ago on github keybinder-keybinder-3.0-v0.3.2.tar.gz but the packaging is awful and the NEWS file does not indicate any issues that really affect us.

Fixed at revision 21269.

comment:13 by Bruce Dubbs, 2 years ago

Milestone: 8.59.0

Milestone renamed

Note: See TracTickets for help on using tickets.